import { jsx } from "react/jsx-runtime";
import { Moon as Moon$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Moon = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Moon", ...props, children: /* @__PURE__ */ jsx(Moon$1, { weight: variant }) });
  }
);
Moon.displayName = "Moon";
Object.assign(Moon, { isGdsIcon: true });
export {
  Moon
};
